// Author: fengshengxiong
// Date: 2024/6/19
// Description: ip、区域模型

import 'dart:convert';

class IsoCodeModel {
  String? isoCode;
  String? ip;

  IsoCodeModel({
    this.isoCode,
    this.ip,
  });

  factory IsoCodeModel.fromJson(String str) => IsoCodeModel.fromMap(json.decode(str));

  String toJson() => json.encode(toMap());

  factory IsoCodeModel.fromMap(Map<String, dynamic> json) => IsoCodeModel(
    isoCode: json["isoCode"],
    ip: json["ip"],
  );

  Map<String, dynamic> toMap() => {
    "isoCode": isoCode,
    "ip": ip,
  };
}
